v_hdmiphy1: XHdmiphy1 Struct Reference

| v_hdmiphy1 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdmiphy1 Struct Reference
Xhdmiphy1_v1_0

The XHdmiphy1 driver instance data. More...

## Data Fields
u32 | IsReady
| Device is initialized and ready. More...
XHdmiphy1_Config | Config
          Configuration structure for
the Video PHY core. More...
XHdmiphy1_Log | Log
| A log of events. More...
XHdmiphy1_Quad | Quads [2]
           The quads available to the
Video PHY core. More...
u32 | HdmiRxRefClkHz
| HDMI RX refclk. More...
u32 | HdmiTxRefClkHz
| HDMI TX refclk. More...
u8 | HdmiRxTmdsClockRatio
| HDMI TMDS clock ratio. More...
u8 | HdmiTxSampleRate
| HDMI TX sample rate. More...
u8 | HdmiRxDruIsEnabled
| The DRU is enabled. More...
u8 | HdmiIsQpllPresent
| QPLL is present in HW. More...
XHdmiphy1_Hdmi21Cfg | TxHdmi21Cfg
| TX HDMI Config. More...
XHdmiphy1_Hdmi21Cfg | RxHdmi21Cfg
| TX HDMI Config. More...
XHdmiphy1_IntrHandler | IntrCpllLockHandler
                        Callback function for CPLL
lock interrupts. More...
void * | IntrCpllLockCallbackRef
                A pointer to the user data
passed to the CPLL lock callback function. More...
XHdmiphy1_IntrHandler | IntrQpllLockHandler
                        Callback function for QPLL
lock interrupts. More...
void * | IntrQpllLockCallbackRef
                A pointer to the user data
passed to the QPLL lock callback function. More...
XHdmiphy1_IntrHandler | IntrQpll1LockHandler
                         Callback function for QPLL
lock interrupts. More...
void * | IntrQpll1LockCallbackRef
                A pointer to the user data
passed to the QPLL lock callback function. More...
XHdmiphy1_IntrHandler | IntrTxAlignDoneHandler
                           Callback function for TX
align done lock interrupts. More...
void * | IntrTxAlignDoneCallbackRef
                A pointer to the user data
passed to the TX align done lock callback function. More...
XHdmiphy1_IntrHandler | IntrTxResetDoneHandler
                           Callback function for TX
reset done lock interrupts. More...
void * | IntrTxResetDoneCallbackRef
                A pointer to the user data
passed to the TX reset done lock callback function. More...
XHdmiphy1_IntrHandler | IntrRxResetDoneHandler
                           Callback function for RX
reset done lock interrupts. More...
void * | IntrRxResetDoneCallbackRef
                A pointer to the user data
passed to the RX reset done lock callback function. More...
XHdmiphy1_IntrHandler | IntrTxClkDetFreqChangeHandler
                                  Callback function
for TX clock detector frequency change interrupts. More...
void * | IntrTxClkDetFreqChangeCallbackRef
                     A pointer to the user data
passed to the TX clock detector frequency change callback function. More...
XHdmiphy1_IntrHandler | IntrRxClkDetFreqChangeHandler
                                  Callback function
for RX clock detector frequency change interrupts. More...
void * | IntrRxClkDetFreqChangeCallbackRef
                     A pointer to the user data
passed to the RX clock detector frequency change callback function. More...
XHdmiphy1_IntrHandler | IntrTxMmcmLockHandler
                          Callback function
for TX MMCM lock interrupts. More...
void * | IntrTxMmcmLockCallbackRef
             A pointer to the user data
passed to the TX MMCM lock callback function. More...
XHdmiphy1_IntrHandler | IntrRxMmcmLockHandler
                          Callback function
for RX MMCM lock interrupts. More...
void * | IntrRxMmcmLockCallbackRef
             A pointer to the user data
passed to the RX MMCM lock callback function. More...
XHdmiphy1_IntrHandler | IntrTxTmrTimeoutHandler
                            Callback function for
TX timer timeout interrupts. More...
void * | IntrTxTmrTimeoutCallbackRef
                A pointer to the user data
passed to the TX timer timeout callback function. More...
XHdmiphy1_IntrHandler | IntrRxTmrTimeoutHandler
                            Callback function for
RX timer timeout interrupts. More...
void * | IntrRxTmrTimeoutCallbackRef
                A pointer to the user data
passed to the RX timer timeout callback function. More...
XHdmiphy1_ErrorCallback | ErrorCallback
| Callback for Error Condition. More...
void * | ErrorRef
| To be passed to the Error condition callback. More...
XHdmiphy1_ErrorCallback | PllLayoutErrorCallback
                              Callback for Error
Condition. More...
void * | PllLayoutErrorRef
| To be passed to the Error condition callback. More...
XHdmiphy1_Callback | HdmiTxInitCallback
| Callback for TX init. More...
void * | HdmiTxInitRef
            To be passed to the TX init
callback. More...
XHdmiphy1_Callback | HdmiTxReadyCallback
| Callback for TX ready. More...
void * | HdmiTxReadyRef
            To be passed to the TX
ready callback. More...
XHdmiphy1_Callback | HdmiRxInitCallback
| Callback for RX init. More...
void * | HdmiRxInitRef
            To be passed to the RX
init callback. More...
XHdmiphy1_Callback | HdmiRxReadyCallback
| Callback for RX ready. More...
void * | HdmiRxReadyRef
            To be passed to the RX
ready callback. More...
XHdmiphy1_LogCallback | LogWriteCallback
| Callback for log write. More...
u32 * | LogWriteRef
| To be passed to the log write callback. More...
XHdmiphy1_TimerHandler | UserTimerWaitUs
                      Custom user function for
delay/sleep. More...
void * | UserTimerPtr
        Pointer to a timer instance
used by the custom user delay/sleep function. More...

## Detailed Description

The XHdmiphy1 driver instance data.

The user is required to allocate a variable of this type for every XHdmiphy1 device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XHdmiphy1_Config XHdmiphy1::Config

          Configuration structure for

the Video PHY core.

Referenced by XHdmiphy1_CfgInitialize(), XHdmiphy1_Ch2Ids(), XHdmiphy1_ClkDetCheckFreqZero(), XHdmiphy1_ClkDetEnable(), XHdmiphy1_ClkDetFreqReset(), XHdmiphy1_ClkDetGetRefClkFreqHz(), XHdmiphy1_ClkDetSetFreqLockThreshold(), XHdmiphy1_ClkDetSetFreqTimeout(), XHdmiphy1_ClkDetTimerClear(), XHdmiphy1_ClkDetTimerLoad(), XHdmiphy1_Clkout1OBufTdsEnable(), XHdmiphy1_DruEnable(), XHdmiphy1_DruGetRefClkFreqHz(), XHdmiphy1_DruGetVersion(), XHdmiphy1_DruReset(), XHdmiphy1_DruSetCenterFreqHz(), XHdmiphy1_GetPllType(), XHdmiphy1_GetRefClkSourcesCount(), XHdmiphy1_GetSysClkDataSel(), XHdmiphy1_GetSysClkOutSel(), XHdmiphy1_GetVersion(), XHdmiphy1_GtUserRdyEnable(), XHdmiphy1_Hdmi20Config(), XHdmiphy1_Hdmi21Config(), XHdmiphy1_Hdmi_CfgInitialize(), XHdmiphy1_HdmiCfgCalcMmcmParam(), XHdmiphy1_HdmiCpllParam(), XHdmiphy1_HdmiDebugInfo(), XHdmiphy1_HdmiGtDruModeEnable(), XHdmiphy1_HdmiGtRxResetDoneLockHandler(), XHdmiphy1_HdmiGtTxResetDoneLockHandler(), XHdmiphy1_HdmiQpllParam(), XHdmiphy1_HdmiRxClkDetFreqChangeHandler(), XHdmiphy1_HdmiRxTimerTimeoutHandler(), XHdmiphy1_HdmiTxClkDetFreqChangeHandler(), XHdmiphy1_HdmiTxMmcmLockHandler(), XHdmiphy1_HdmiTxTimerTimeoutHandler(), XHdmiphy1_HdmiUpdateClockSelection(), XHdmiphy1_IBufDsEnable(), XHdmiphy1_InterruptHandler(), XHdmiphy1_IntrDisable(), XHdmiphy1_IntrEnable(), XHdmiphy1_IsHDMI(), XHdmiphy1_IsPllLocked(), XHdmiphy1_MmcmLocked(), XHdmiphy1_MmcmLockedMaskEnable(), XHdmiphy1_MmcmPowerDown(), XHdmiphy1_MmcmReset(), XHdmiphy1_MmcmSetClkinsel(), XHdmiphy1_PatgenEnable(), XHdmiphy1_PatgenSetRatio(), XHdmiphy1_PowerDownGtPll(), XHdmiphy1_RegisterDebug(), XHdmiphy1_ResetGtPll(), XHdmiphy1_ResetGtTxRx(), XHdmiphy1_SelfTest(), XHdmiphy1_SetBufgGtDiv(), XHdmiphy1_SetHdmiTxParam(), XHdmiphy1_SetPolarity(), XHdmiphy1_SetPrbsSel(), XHdmiphy1_SetRxLpm(), XHdmiphy1_SetTxPostCursor(), XHdmiphy1_SetTxPreEmphasis(), XHdmiphy1_SetTxVoltageSwing(), XHdmiphy1_TxAlignReset(), XHdmiphy1_TxAlignStart(), XHdmiphy1_TxPrbsForceError(), and XHdmiphy1_WriteCfgRefClkSelReg().

XHdmiphy1_ErrorCallback XHdmiphy1::ErrorCallback

Callback for Error Condition.

Referenced by XHdmiphy1_ErrorHandler(), and XHdmiphy1_SetErrorCallback().

void* XHdmiphy1::ErrorRef

To be passed to the Error condition callback.

Referenced by XHdmiphy1_ErrorHandler(), and XHdmiphy1_SetErrorCallback().

u8 XHdmiphy1::HdmiIsQpllPresent

QPLL is present in HW.

Referenced by XHdmiphy1_ClkReconfig(), XHdmiphy1_Hdmi_CfgInitialize(), and XHdmiphy1_RegisterDebug().

u8 XHdmiphy1::HdmiRxDruIsEnabled

The DRU is enabled.

Referenced by XHdmiphy1_GetPllVcoFreqHz(), XHdmiphy1_HdmiCpllParam(), XHdmiphy1_HdmiDebugInfo(), XHdmiphy1_HdmiGtRxResetDoneLockHandler(), XHdmiphy1_HdmiQpllParam(), XHdmiphy1_HdmiRxTimerTimeoutHandler(), and XHdmiphy1_SetHdmiRxParam().

XHdmiphy1_Callback XHdmiphy1::HdmiRxInitCallback

Callback for RX init.

Referenced by XHdmiphy1_HdmiRxClkDetFreqChangeHandler(), and XHdmiphy1_SetHdmiCallback().

void* XHdmiphy1::HdmiRxInitRef

            To be passed to the RX

init callback.

Referenced by XHdmiphy1_HdmiRxClkDetFreqChangeHandler(), and XHdmiphy1_SetHdmiCallback().

XHdmiphy1_Callback XHdmiphy1::HdmiRxReadyCallback

Callback for RX ready.

Referenced by XHdmiphy1_HdmiGtRxResetDoneLockHandler(), and XHdmiphy1_SetHdmiCallback().

void* XHdmiphy1::HdmiRxReadyRef

            To be passed to the RX

ready callback.

Referenced by XHdmiphy1_HdmiGtRxResetDoneLockHandler(), and XHdmiphy1_SetHdmiCallback().

u32 XHdmiphy1::HdmiRxRefClkHz

HDMI RX refclk.

Referenced by XHdmiphy1_GetPllVcoFreqHz(), XHdmiphy1_Hdmi21Config(), XHdmiphy1_HdmiCfgCalcMmcmParam(), XHdmiphy1_HdmiCpllParam(), XHdmiphy1_HdmiQpllParam(), and XHdmiphy1_HdmiRxClkDetFreqChangeHandler().

u8 XHdmiphy1::HdmiRxTmdsClockRatio

HDMI TMDS clock ratio.

Referenced by XHdmiphy1_HdmiCfgCalcMmcmParam(), XHdmiphy1_HdmiCpllParam(), and XHdmiphy1_HdmiQpllParam().

XHdmiphy1_Callback XHdmiphy1::HdmiTxInitCallback

Callback for TX init.

Referenced by XHdmiphy1_HdmiTxClkDetFreqChangeHandler(), and XHdmiphy1_SetHdmiCallback().

void* XHdmiphy1::HdmiTxInitRef

            To be passed to the TX init

callback.

Referenced by XHdmiphy1_HdmiTxClkDetFreqChangeHandler(), and XHdmiphy1_SetHdmiCallback().

XHdmiphy1_Callback XHdmiphy1::HdmiTxReadyCallback

Callback for TX ready.

Referenced by XHdmiphy1_HdmiGtTxAlignDoneLockHandler(), XHdmiphy1_HdmiGtTxResetDoneLockHandler(), and XHdmiphy1_SetHdmiCallback().

void* XHdmiphy1::HdmiTxReadyRef

            To be passed to the TX

ready callback.

Referenced by XHdmiphy1_HdmiGtTxAlignDoneLockHandler(), XHdmiphy1_HdmiGtTxResetDoneLockHandler(), and XHdmiphy1_SetHdmiCallback().

u32 XHdmiphy1::HdmiTxRefClkHz

HDMI TX refclk.

Referenced by XHdmiphy1_GetPllVcoFreqHz(), XHdmiphy1_Hdmi21Config(), XHdmiphy1_HdmiCfgCalcMmcmParam(), XHdmiphy1_HdmiCpllParam(), and XHdmiphy1_HdmiQpllParam().

u8 XHdmiphy1::HdmiTxSampleRate

HDMI TX sample rate.

Referenced by XHdmiphy1_HdmiCfgCalcMmcmParam(), XHdmiphy1_HdmiCpllParam(), XHdmiphy1_HdmiQpllParam(), and XHdmiphy1_PatgenSetRatio().

void* XHdmiphy1::IntrCpllLockCallbackRef

                A pointer to the user data

passed to the CPLL lock callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrCpllLockHandler

                        Callback function for CPLL

lock interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrQpll1LockCallbackRef

                A pointer to the user data

passed to the QPLL lock callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrQpll1LockHandler

                         Callback function for QPLL

lock interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrQpllLockCallbackRef

                A pointer to the user data

passed to the QPLL lock callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrQpllLockHandler

                        Callback function for QPLL

lock interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrRxClkDetFreqChangeCallbackRef

                     A pointer to the user data

passed to the RX clock detector frequency change callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrRxClkDetFreqChangeHandler

                                  Callback function

for RX clock detector frequency change interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrRxMmcmLockCallbackRef

             A pointer to the user data

passed to the RX MMCM lock callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrRxMmcmLockHandler

                          Callback function

for RX MMCM lock interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrRxResetDoneCallbackRef

                A pointer to the user data

passed to the RX reset done lock callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrRxResetDoneHandler

                           Callback function for RX

reset done lock interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrRxTmrTimeoutCallbackRef

                A pointer to the user data

passed to the RX timer timeout callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrRxTmrTimeoutHandler

                            Callback function for

RX timer timeout interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrTxAlignDoneCallbackRef

                A pointer to the user data

passed to the TX align done lock callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrTxAlignDoneHandler

                           Callback function for TX

align done lock interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrTxClkDetFreqChangeCallbackRef

                     A pointer to the user data

passed to the TX clock detector frequency change callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrTxClkDetFreqChangeHandler

                                  Callback function

for TX clock detector frequency change interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrTxMmcmLockCallbackRef

             A pointer to the user data

passed to the TX MMCM lock callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrTxMmcmLockHandler

                          Callback function

for TX MMCM lock interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrTxResetDoneCallbackRef

                A pointer to the user data

passed to the TX reset done lock callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrTxResetDoneHandler

                           Callback function for TX

reset done lock interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

void* XHdmiphy1::IntrTxTmrTimeoutCallbackRef

                A pointer to the user data

passed to the TX timer timeout callback function.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

XHdmiphy1_IntrHandler XHdmiphy1::IntrTxTmrTimeoutHandler

                            Callback function for

TX timer timeout interrupts.

Referenced by XHdmiphy1_InterruptHandler(), and XHdmiphy1_SetIntrHandler().

u32 XHdmiphy1::IsReady

Device is initialized and ready.

Referenced by XHdmiphy1_CfgInitialize(), XHdmiphy1_Hdmi_CfgInitialize(), XHdmiphy1_InterruptHandler(), and XHdmiphy1_WaitUs().

XHdmiphy1_Log XHdmiphy1::Log

A log of events.

Referenced by XHdmiphy1_LogDisplay(), XHdmiphy1_LogRead(), XHdmiphy1_LogReset(), and XHdmiphy1_LogWrite().

XHdmiphy1_LogCallback XHdmiphy1::LogWriteCallback

Callback for log write.

Referenced by XHdmiphy1_LogDisplay(), XHdmiphy1_LogWrite(), and XHdmiphy1_SetLogCallback().

u32* XHdmiphy1::LogWriteRef

To be passed to the log write callback.

Referenced by XHdmiphy1_LogWrite(), and XHdmiphy1_SetLogCallback().

XHdmiphy1_ErrorCallback XHdmiphy1::PllLayoutErrorCallback

                              Callback for Error

Condition.

void* XHdmiphy1::PllLayoutErrorRef

To be passed to the Error condition callback.

XHdmiphy1_Quad XHdmiphy1::Quads[2]

           The quads available to the

Video PHY core.

Referenced by XHdmiphy1_CfgLineRate(), XHdmiphy1_CfgPllRefClkSel(), XHdmiphy1_CfgSysClkDataSel(), XHdmiphy1_CfgSysClkOutSel(), XHdmiphy1_DruCalcCenterFreqHz(), XHdmiphy1_GetLineRateHz(), XHdmiphy1_GetPllVcoFreqHz(), XHdmiphy1_GetQuadRefClkFreq(), XHdmiphy1_Hdmi21Config(), XHdmiphy1_Hdmi_CfgInitialize(), XHdmiphy1_HdmiCfgCalcMmcmParam(), XHdmiphy1_HdmiCpllLockHandler(), XHdmiphy1_HdmiCpllParam(), XHdmiphy1_HdmiDebugInfo(), XHdmiphy1_HdmiGtRxResetDoneLockHandler(), XHdmiphy1_HdmiGtTxAlignDoneLockHandler(), XHdmiphy1_HdmiGtTxResetDoneLockHandler(), XHdmiphy1_HdmiQpllLockHandler(), XHdmiphy1_HdmiQpllParam(), XHdmiphy1_HdmiRxClkDetFreqChangeHandler(), XHdmiphy1_HdmiRxTimerTimeoutHandler(), XHdmiphy1_HdmiTxClkDetFreqChangeHandler(), XHdmiphy1_HdmiTxTimerTimeoutHandler(), XHdmiphy1_HdmiUpdateClockSelection(), XHdmiphy1_MmcmStart(), XHdmiphy1_PllCalculator(), XHdmiphy1_SetHdmiTxParam(), and XHdmiphy1_WriteCfgRefClkSelReg().

XHdmiphy1_Hdmi21Cfg XHdmiphy1::RxHdmi21Cfg

TX HDMI Config.

Referenced by XHdmiphy1_Hdmi20Config(), XHdmiphy1_Hdmi21Config(), XHdmiphy1_HdmiCpllParam(), XHdmiphy1_HdmiQpllParam(), XHdmiphy1_HdmiRxClkDetFreqChangeHandler(), and XHdmiphy1_HdmiRxTimerTimeoutHandler().

XHdmiphy1_Hdmi21Cfg XHdmiphy1::TxHdmi21Cfg

TX HDMI Config.

Referenced by XHdmiphy1_Hdmi20Config(), XHdmiphy1_Hdmi21Config(), XHdmiphy1_HdmiCpllParam(), XHdmiphy1_HdmiGtTxResetDoneLockHandler(), XHdmiphy1_HdmiQpllParam(), XHdmiphy1_HdmiTxClkDetFreqChangeHandler(), XHdmiphy1_HdmiTxTimerTimeoutHandler(), and XHdmiphy1_SetHdmiTxParam().

void* XHdmiphy1::UserTimerPtr

        Pointer to a timer instance

used by the custom user delay/sleep function.

XHdmiphy1_TimerHandler XHdmiphy1::UserTimerWaitUs

                      Custom user function for

delay/sleep.

Referenced by XHdmiphy1_WaitUs().